import domain.Student;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;

public class Main {
    public static void main(String[] args) {
        Student stu1 = new Student(1, "牛武", 12, 12.0);
        Student stu2 = new Student(2, "牛六", 12, 12.0);

        HashMap<Integer, Student> map = new HashMap<>();

        map.put(stu1.getId(), stu1);
        map.put(stu2.getId(), stu2);
        System.out.println("第一种遍历方式:entrySet");
        for (Map.Entry<Integer, Student> entry : map.entrySet()) {
            System.out.println("键：" + entry.getKey() + "-->值：" + entry.getValue().toString());
        }

        System.out.println("第二种遍历方式：keySet + for循环遍历");
        Set<Integer> set = map.keySet();
        for (Integer i : set) {
            System.out.println("键：" + i + "-->值：" + map.get(i).toString());
        }

        System.out.println("第三种遍历方式：keySet + iterator");
        Set<Integer> set1 = map.keySet();
        Iterator<Integer> iterator = set1.iterator();
        while (iterator.hasNext()) {
            Integer key = iterator.next();
            System.out.println("键：" + key + "-->值：" + map.get(key).toString());
        }


    }
}
